Подключение Zendesk не найдено

Moses SkodaИнженер1 мин чтения

При этой ошибке API возвращает 404 Not Found. Значение type — https://lingo.dev/docs/api/errors/zendesk-connection-not-found. Общую структуру всех ошибок см. в разделе Ошибки и коды состояния.

Не удаётся найти подключение Zendesk <id> в этой организации. Оно не существует, принадлежит другой организации или не является подключением Zendesk. Проверьте ИД в списке интеграций этой организации.

Поля#

Помимо стандартных полей type, status, title и detail, тело ответа содержит следующие поля. На их основе формируется текст detail, поэтому клиент может показать свой текст вместо него.

ПолеТип
idstring

Пример#

json
{
  "detail": "Cannot find Zendesk connection <id> in this organization. It does not exist, belongs to another organization, or is not a Zendesk connection. Check the id against this organization's integrations.",
  "id": "<id>",
  "type": "https://lingo.dev/docs/api/errors/zendesk-connection-not-found",
  "status": 404,
  "title": "Zendesk connection not found"
}

Какие эндпоинты возвращают ошибку#

  • POST /v2/organizations/{orgId}/zendesk/connections/{connectionId}/import-history